package gui;

import java.awt.BorderLayout;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.ArrayList;

import javax.swing.*;

import main.Configuration;


public class ConfigWindow extends JDialog{
  private static final long serialVersionUID = -251857071893591363L;
  private ArrayList<ActionListener> action = new ArrayList<ActionListener>();

  private Leiste leiste = new ConfLeiste();
  
  public ConfigWindow(Frame owner, Configuration conf)
  {
    super(owner,"Konfiguration",true);
    setSize(500,450);
    //setResizable(false);
    setIconImage(LoadIcon.loadImage("tester"));
    addWindowListener(new WindowAdapter(){ public void windowClosing(WindowEvent e){ setVisible(false); dispose();}});
    setLayout(new BorderLayout());

    leiste.addActionListener(new ActionListener(){public void actionPerformed(ActionEvent e){ actionCommand(e.getActionCommand(),e.getSource());}});
    add(leiste,BorderLayout.SOUTH);

    setVisible(true);
  }

  private void actionCommand(String cmd, Object source)
  {
    if(cmd.equals("CWCLOSE")){setVisible(false);dispose();}
    else if(cmd.equals("CWACEPT"))
    {
      
    }
    else if(cmd.equals("CWOK"))
    {
      setVisible(false);dispose();
    }
    else
    doAction(cmd,source);
  }

  public void addActionListener(ActionListener l){action.add(l);}
  public void removeActionListener(ActionListener l){action.remove(l);}
  private void doAction(String name,Object o)
  { for(ActionListener l:action) l.actionPerformed(new ActionEvent(o, 0, name)); }
}
